#define LED_TYPE WS2812B
#define COLOR_ORDER GRB
#define LED_PIN 5
#define NUM_LEDS 150
#define START_OFFSET 0
#define END_OFFSET 0
#define BRIGHTNESS 100

#define BLUE_BUTTON_PIN 2
#define RED_BUTTON_PIN 3

#define BAUD_RATE 9600

#define BALL_LENGTH 5
#define WIN_ANIMATION_SECONDS 5
#define ROUND_ANIMATION_SECONDS 2
#define DELAY 5000
#define POINTS_TO_WIN 3
#define HITTING_RANGE 15
#define SHOW_LAST_HIT_POSITION 1

#define PERFECT_HIT_BOOST 2
#define LATE_HIT_BOOST 1.5
#define FIRST_HIT_BOOST 1.2

#define MIN_BONUS_DELAY 2.0
#define MAX_BONUS_DELAY 20.0

#define SPEEDING_BONUS_PROBABILITY 55
#define SPEEDING_BONUS_LENGTH 5
#define SPEEDING_BONUS_INITIAL_BOOST 0.8
#define SPEEDING_BONUS_FINAL_BOOST 2.0
#define RAINBOW_BONUS_PROBABILITY 40
#define RAINBOW_BONUS_LENGTH 5
#define BLINKING_BONUS_PROBABILITY 80
#define BLINKING_BONUS_LENGTH 6
#define LIFE_ADD_BONUS_PROBABILITY 100
#define LIFE_ADD_BONUS_LENGTH 7
#define BALL_ADD_BONUS_PROBABILITY 65
#define BALL_ADD_BONUS_LENGTH 6
#define BREAKOUT_BONUS_PROBABILITY 80
#define BREAKOUT_BONUS_LENGTH 5
#define PORTAL_BONUS_PROBABILITY 40
#define PORTAL_BONUS_LENGTH 5
